%global __requires_exclude devel\\(libadns|devel\\(libtcl

%define	major 4
%define libname %mklibname oop %{major}
%define develname %mklibname oop -d

Summary:	A low-level event loop management library for POSIX-based OS'es
Name:		liboop
Version:	1.0
Release:	%mkrel 18
License:	LGPL
Group:		System/Libraries
URL:		http://liboop.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		liboop-linkage_fix.diff
# Add 8.5 and 8.6 to tcl versions configure script detects - AdamW
# 2008/12
Patch1:		liboop-1.0-tcl86.patch
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	tcl-devel

%description
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{libname}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:          System/Libraries

%description -n	%{libname}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{develname}
Summary:	Static library and header files for the %{libname} library
Group:		Development/C
Requires:	%{libname} = %{version}
#Requires:	adns-devel
#Requires:	glib-devel
Provides:	oop-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname oop 4 -d}

%description -n	%{develname}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .tcl86

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static
make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Feb 11 2016 wally <wally> 1.0-18.mga6
+ Revision: 955855
- drop .la files

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 1.0-17.mga6
+ Revision: 886287
- rebuild for new tcl 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 1.0-16.mga5
+ Revision: 750164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-15.mga5
+ Revision: 681681
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.0-14.mga4
+ Revision: 532984
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 1.0-13.mga4
+ Revision: 470566
- bump release

* Sat Jan 12 2013 umeabot <umeabot> 1.0-12.mga3
+ Revision: 357931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dlucio <dlucio> 1.0-11.mga3
+ Revision: 331695
- some requieres not necesary at mageia are dropped
- no static
- imported package liboop

